hledger-web-1.3: Web interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Hledger.Web.WebOptions

# Documentation

progname :: String #

version :: String #

prognameandversion :: String #

webflags :: [Flag [([Char], [Char])]] #

webmode :: Mode [([Char], [Char])] #

data WebOpts #

Constructors

WebOpts |
Fields serve_ :: Bool host_ :: String port_ :: Int base_url_ :: String file_url_ :: Maybe String cliopts_ :: CliOpts

Instances

Show WebOpts # |
Methods showsPrec :: Int -> WebOpts -> ShowS # show :: WebOpts -> String # showList :: [WebOpts] -> ShowS #

defwebopts :: WebOpts #

rawOptsToWebOpts :: RawOpts -> IO WebOpts #

checkWebOpts :: WebOpts -> WebOpts #

getHledgerWebOpts :: IO WebOpts #